<?xml version="1.0" encoding="UTF-8"?>
<document type="com.apple.InterfaceBuilder3.CocoaTouch.Storyboard.XIB" version="3.0" toolsVersion="13771" targetRuntime="iOS.CocoaTouch" propertyAccessControl="none" useAutolayout="YES" useTraitCollections="YES" useSafeAreas="YES" colorMatched="YES" initialViewController="bgq-RB-1kU">
    <device id="retina4_7" orientation="portrait">
        <adaptation id="fullscreen"/>
    </device>
    <dependencies>
        <deployment identifier="iOS"/>
        <plugIn identifier="com.apple.InterfaceBuilder.IBCocoaTouchPlugin" version="13772"/>
        <capability name="Safe area layout guides" minToolsVersion="9.0"/>
        <capability name="documents saved in the Xcode 8 format" minToolsVersion="8.0"/>
    </dependencies>
    <scenes>
        <!--View Controller-->
        <scene sceneID="tne-QT-ifu">
            <objects>
                <viewController id="BYZ-38-t0r" customClass="ViewController" customModule="ChatiOs" customModuleProvider="target" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="8bC-Xf-vdC">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <imageView userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" fixedFrame="YES" image="wallpaper" translatesAutoresizingMaskIntoConstraints="NO" id="c3B-mT-nXM">
                                <rect key="frame" x="-295" y="-222" width="955" height="1184"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                            </imageView>
                            <scrollView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" fixedFrame="YES" translatesAutoresizingMaskIntoConstraints="NO" id="LrG-Fo-jRg">
                                <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                                <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" flexibleMinY="YES" heightSizable="YES" flexibleMaxY="YES"/>
                                <subviews>
                                    <textField opaque="NO" contentMode="scaleToFill" fixedFrame="YES" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="vUw-hU-hFl">
                                        <rect key="frame" x="10" y="570" width="310" height="30"/>
                                        <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" flexibleMinY="YES" flexibleMaxY="YES"/>
                                        <nil key="textColor"/>
                                        <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                        <textInputTraits key="textInputTraits"/>
                                    </textField>
                                    <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" fixedFrame="YES" editable="NO" translatesAutoresizingMaskIntoConstraints="NO" id="A6C-Sk-HpB">
                                        <rect key="frame" x="10" y="79" width="357" height="483"/>
                                        <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES"/>
                                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <fontDescription key="fontDescription" type="boldSystem" pointSize="14"/>
                                        <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                                    </textView>
                                    <button opaque="NO" contentMode="scaleToFill" fixedFrame="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="mch-Cd-hFJ">
                                        <rect key="frame" x="321" y="561" width="46" height="49"/>
                                        <autoresizingMask key="autoresizingMask" flexibleMinX="YES" widthSizable="YES" flexibleMaxX="YES" flexibleMinY="YES" heightSizable="YES" flexibleMaxY="YES"/>
                                        <state key="normal" image="send_icon">
                                            <color key="titleColor" red="0.66666668650000005" green="0.074211586029999999" blue="0.41935893010000003" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                                        </state>
                                        <connections>
                                            <action selector="sendButton" destination="BYZ-38-t0r" eventType="touchUpInside" id="lX0-vi-ZiB"/>
                                        </connections>
                                    </button>
                                </subviews>
                            </scrollView>
                        </subviews>
                        <color key="backgroundColor" red="1" green="1" blue="1" alpha="1" colorSpace="custom" customColorSpace="sRGB"/>
                        <viewLayoutGuide key="safeArea" id="6Tk-OE-BBY"/>
                    </view>
                    <navigationItem key="navigationItem" id="CYM-Jk-IPm">
                        <barButtonItem key="rightBarButtonItem" systemItem="search" id="DHj-r6-sl0">
                            <connections>
                                <segue destination="oNJ-fJ-MIA" kind="show" identifier="connectedUsersSegue" id="rny-LN-Zsc"/>
                            </connections>
                        </barButtonItem>
                    </navigationItem>
                    <connections>
                        <outlet property="chatTextView" destination="A6C-Sk-HpB" id="e1N-Or-LLV"/>
                        <outlet property="messageTextField" destination="vUw-hU-hFl" id="dC9-iQ-O6X"/>
                        <outlet property="scrollScreen" destination="LrG-Fo-jRg" id="1l8-Gl-saZ"/>
                        <segue destination="aFk-rL-hdb" kind="show" identifier="publicToPrivate" id="sdM-IV-0LR"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="dkx-z0-nzr" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="709.60000000000002" y="116.49175412293854"/>
        </scene>
        <!--Connected Users Table View Controller-->
        <scene sceneID="C8F-HG-Gig">
            <objects>
                <tableViewController id="oNJ-fJ-MIA" customClass="ConnectedUsersTableViewController" customModule="ChatiOs" customModuleProvider="target" sceneMemberID="viewController">
                    <tableView key="view" clipsSubviews="YES" contentMode="scaleToFill" alwaysBounceVertical="YES" dataMode="prototypes" style="plain" separatorStyle="default" rowHeight="-1" estimatedRowHeight="-1" sectionHeaderHeight="28" sectionFooterHeight="28" id="ayI-aJ-k5Y">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <prototypes>
                            <tableViewCell clipsSubviews="YES" contentMode="scaleToFill" preservesSuperviewLayoutMargins="YES" selectionStyle="default" indentationWidth="10" reuseIdentifier="ConnectedUsersTableViewCell" rowHeight="50" id="fWX-A0-fpH" customClass="ConnectedUsersTableViewCell" customModule="ChatiOs" customModuleProvider="target">
                                <rect key="frame" x="0.0" y="28" width="375" height="50"/>
                                <autoresizingMask key="autoresizingMask"/>
                                <tableViewCellContentView key="contentView" opaque="NO" clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="center" preservesSuperviewLayoutMargins="YES" insetsLayoutMarginsFromSafeArea="NO" tableViewCell="fWX-A0-fpH" id="6iz-jZ-pSu">
                                    <rect key="frame" x="0.0" y="0.0" width="375" height="49.5"/>
                                    <autoresizingMask key="autoresizingMask"/>
                                    <subviews>
                                        <label opaque="NO" userInteractionEnabled="NO" contentMode="left" horizontalHuggingPriority="251" verticalHuggingPriority="251" fixedFrame="YES" text="Label" textAlignment="natural" lineBreakMode="tailTruncation" baselineAdjustment="alignBaselines" adjustsFontSizeToFit="NO" translatesAutoresizingMaskIntoConstraints="NO" id="L7d-pA-wtc">
                                            <rect key="frame" x="16" y="6" width="331" height="36"/>
                                            <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                            <fontDescription key="fontDescription" type="system" pointSize="17"/>
                                            <nil key="textColor"/>
                                            <nil key="highlightedColor"/>
                                        </label>
                                    </subviews>
                                </tableViewCellContentView>
                                <connections>
                                    <outlet property="userLabel" destination="L7d-pA-wtc" id="9KU-mf-fPs"/>
                                    <segue destination="aFk-rL-hdb" kind="show" identifier="privateChatView" id="yfA-FA-pbx"/>
                                </connections>
                            </tableViewCell>
                        </prototypes>
                        <connections>
                            <outlet property="dataSource" destination="oNJ-fJ-MIA" id="4NW-VR-9C2"/>
                            <outlet property="delegate" destination="oNJ-fJ-MIA" id="Qrw-jt-MYF"/>
                        </connections>
                    </tableView>
                    <navigationItem key="navigationItem" id="b72-GC-MMg"/>
                </tableViewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="AR9-nv-J12" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="2436" y="509"/>
        </scene>
        <!--Private Chat Controller-->
        <scene sceneID="ZRe-hE-EwG">
            <objects>
                <viewController id="aFk-rL-hdb" customClass="PrivateChatController" customModule="ChatiOs" sceneMemberID="viewController">
                    <view key="view" contentMode="scaleToFill" id="nmt-YP-n0B">
                        <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                        <autoresizingMask key="autoresizingMask" widthSizable="YES" heightSizable="YES"/>
                        <subviews>
                            <imageView userInteractionEnabled="NO" contentMode="scaleToFill" horizontalHuggingPriority="251" verticalHuggingPriority="251" fixedFrame="YES" image="wallpaper" translatesAutoresizingMaskIntoConstraints="NO" id="CGy-yE-eku">
                                <rect key="frame" x="-259" y="-210" width="867" height="1169"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                            </imageView>
                            <scrollView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" fixedFrame="YES" translatesAutoresizingMaskIntoConstraints="NO" id="6jd-4g-SGD">
                                <rect key="frame" x="0.0" y="0.0" width="375" height="667"/>
                                <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                <subviews>
                                    <textField opaque="NO" contentMode="scaleToFill" fixedFrame="YES" contentHorizontalAlignment="left" contentVerticalAlignment="center" borderStyle="roundedRect" textAlignment="natural" minimumFontSize="17" translatesAutoresizingMaskIntoConstraints="NO" id="0IY-H4-ezl">
                                        <rect key="frame" x="8" y="575" width="305" height="30"/>
                                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                        <nil key="textColor"/>
                                        <fontDescription key="fontDescription" type="system" pointSize="14"/>
                                        <textInputTraits key="textInputTraits"/>
                                    </textField>
                                    <textView clipsSubviews="YES" multipleTouchEnabled="YES" contentMode="scaleToFill" fixedFrame="YES" editable="NO" textAlignment="natural" translatesAutoresizingMaskIntoConstraints="NO" id="GzR-dN-rid" customClass="PrivateChatController">
                                        <rect key="frame" x="8" y="92" width="359" height="475"/>
                                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <color key="textColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                                        <fontDescription key="fontDescription" type="boldSystem" pointSize="14"/>
                                        <textInputTraits key="textInputTraits" autocapitalizationType="sentences"/>
                                    </textView>
                                    <button opaque="NO" contentMode="scaleToFill" fixedFrame="YES" contentHorizontalAlignment="center" contentVerticalAlignment="center" lineBreakMode="middleTruncation" translatesAutoresizingMaskIntoConstraints="NO" id="I31-bl-6VQ">
                                        <rect key="frame" x="315" y="562" width="52" height="56"/>
                                        <autoresizingMask key="autoresizingMask" flexibleMaxX="YES" flexibleMaxY="YES"/>
                                        <state key="normal" title="Send" image="send_icon"/>
                                        <connections>
                                            <action selector="sendButton" destination="aFk-rL-hdb" eventType="touchUpInside" id="JUy-uA-EDE"/>
                                        </connections>
                                    </button>
                                </subviews>
                            </scrollView>
                        </subviews>
                        <color key="backgroundColor" white="1" alpha="1" colorSpace="custom" customColorSpace="genericGamma22GrayColorSpace"/>
                        <viewLayoutGuide key="safeArea" id="AXI-S0-QVD"/>
                    </view>
                    <navigationItem key="navigationItem" id="l3a-0f-kbo"/>
                    <connections>
                        <outlet property="chatTextView" destination="GzR-dN-rid" id="FhJ-wi-g0T"/>
                        <outlet property="messageTextField" destination="0IY-H4-ezl" id="ZfF-lF-v2a"/>
                        <outlet property="scrollScreen" destination="6jd-4g-SGD" id="A6B-ZX-sKt"/>
                    </connections>
                </viewController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="2oh-ct-A7G" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="4165.6000000000004" y="166.8665667166417"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="6OC-Bh-VVS">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" id="bgq-RB-1kU" sceneMemberID="viewController">
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="ApG-rh-wnZ">
                        <rect key="frame" x="0.0" y="20" width="375" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="BYZ-38-t0r" kind="relationship" relationship="rootViewController" id="XW4-qE-cBJ"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="9Sf-60-KVK" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="-92" y="118"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="BEK-Zp-06V">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" id="Zsz-sc-oCc" sceneMemberID="viewController">
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="bKf-ma-Hel">
                        <rect key="frame" x="0.0" y="20" width="375" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="oNJ-fJ-MIA" kind="relationship" relationship="rootViewController" id="aXy-9v-3gM"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="b8F-5A-a6Z" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="1404" y="869"/>
        </scene>
        <!--Navigation Controller-->
        <scene sceneID="kNs-Rh-HdP">
            <objects>
                <navigationController automaticallyAdjustsScrollViewInsets="NO" id="zgZ-vP-AwS" sceneMemberID="viewController">
                    <toolbarItems/>
                    <navigationBar key="navigationBar" contentMode="scaleToFill" insetsLayoutMarginsFromSafeArea="NO" id="EVo-1S-xfi">
                        <rect key="frame" x="0.0" y="20" width="375" height="44"/>
                        <autoresizingMask key="autoresizingMask"/>
                    </navigationBar>
                    <nil name="viewControllers"/>
                    <connections>
                        <segue destination="aFk-rL-hdb" kind="relationship" relationship="rootViewController" id="dld-9J-eYj"/>
                    </connections>
                </navigationController>
                <placeholder placeholderIdentifier="IBFirstResponder" id="h5O-Sb-Enz" userLabel="First Responder" sceneMemberID="firstResponder"/>
            </objects>
            <point key="canvasLocation" x="3318" y="897"/>
        </scene>
    </scenes>
    <resources>
        <image name="send_icon" width="256" height="256"/>
        <image name="wallpaper" width="540" height="960"/>
    </resources>
    <inferredMetricsTieBreakers>
        <segue reference="sdM-IV-0LR"/>
        <segue reference="rny-LN-Zsc"/>
    </inferredMetricsTieBreakers>
</document>
